List Purchases
curl --request GET \
--url https://api.toughtongueai.com/api/public/purchases \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.toughtongueai.com/api/public/purchases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.toughtongueai.com/api/public/purchases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"purchases": [
{
"id": "purchase_abc123",
"scenario_id": "scenario_xyz",
"user_email": "buyer@example.com",
"amount": 29.99,
"currency": "USD",
"status": "completed",
"created_at": "2024-01-15T10:30:00Z"
}
]
}
Billing
List Purchases
List all purchases for your scenarios
GET
/
purchases
List Purchases
Returns all purchases made for scenarios you’ve created.
string
Filter purchases by buyer email
{
"purchases": [
{
"id": "purchase_abc123",
"scenario_id": "scenario_xyz",
"user_email": "buyer@example.com",
"amount": 29.99,
"currency": "USD",
"status": "completed",
"created_at": "2024-01-15T10:30:00Z"
}
]
}
⌘I